#ifndef _corba_h
#define _corba_h
/****************************************************************************/
/*                                                                          */
/*  ORBeline (c)   is copyrighted by PostModern Computing Technologies, Inc */
/*                                                                          */
/*  Copyright 1993, 1994 by PostModern Computing Technologies, Inc.         */
/*                          1897 Landings Drive                             */
/*                          Mountain View, California, USA                  */
/*                          Telephone (415) 967-6169                        */
/*                          Facsimile (415) 967-6212                        */
/*                                                                          */
/*  This code is the sole property of PostModern Computing Technologies,    */
/*  Inc.  and is  protected  by  copyright under the laws of the United     */
/*  States.   This  program is confidential, proprietary, and  a  trade     */
/*  secret,  not  to  be disclosed  without written authorization  from     */
/*  PostModern Computing Technologies, Inc.  Any use,  duplication,  or     */
/*  disclosure  of  this  program  by other than  PostModern  Computing     */
/*  Technologies, Inc. and its assigned licensees is strictly forbidden     */
/*  by law.                                                                 */
/*                                                                          */
/*  All rights reserved.                                                    */
/*                                                                          */
/****************************************************************************/
#if defined(CRAY)
#include "ccorba.h"
#else

#include <sys/types.h>
#include <string.h>
#include <stdlib.h>
#include <dsresour.h>
#include <dsset.h>
#include <dsdict.h>
#include <dsordclt.h>

#ifdef TRUE
#undef TRUE
#endif

#ifdef FALSE
#undef FALSE
#endif

class _ObjectImpl;
class CORBA
{
 public:
	class Object;
	class Structure;
	class Environment;
	class Array;
	class Sequence;
	class String;
	class Union;
	class ORB;
	class BOA;
	class MarshalStream;
	class Context;
	class Property;
	class PropertyList;
	class TypeCode;
	class StructTypeCode;
	class EnumTypeCode;
	class UnionTypeCode;
	class StringTypeCode;
	class ObjRefTypeCode;
	class SequenceTypeCode;
	class ArrayTypeCode;
	class Any;
	class Value;
	class ValueShort;
	class ValueLong;
	class ValueUShort;
	class ValueULong;
	class ValueChar;
	class ValueOctet;
	class ValueBoolean;
	class ValueString;
	class ValueObjRef;
	class ValueTypeCode;
	class ValueStruct;
	class ValueUnion;
	class ValueEnum;
	class ValueSequence;
	class ValueArray;

	typedef short			Short;
	typedef long			Long;
	typedef unsigned short		UShort;
	typedef unsigned long		ULong;
	typedef char			Char;
	typedef float			Float;
	typedef double			Double;
	typedef unsigned char		Boolean;
	typedef unsigned char		Octet;
	static Boolean			TRUE;
	static Boolean			FALSE;

#include "env.h"
#include "cstring.h"
#include "struc.h"
#include "array.h"
#include "seq.h"
#include "union.h"
#include "typeinfo.h"
#include "princ.h"
#include "idefclnt.hh"
#include "orb.h"
#include "boa.h"
#include "bopt.h"
#include "object.h"
#include "typecode.h"
#include "any.h"
#include "value.h"
#include "mstrm.h"
#include "prop.h"
#include "context.h"
#include "optr.h"
};

#endif
#endif		
